summaryrefslogtreecommitdiffstats
path: root/tests/nwldma
diff options
context:
space:
mode:
authorSuren A. Chilingaryan <csa@suren.me>2015-04-20 22:01:04 +0200
committerSuren A. Chilingaryan <csa@suren.me>2015-04-20 22:01:04 +0200
commit77c4d6e67debf0e729734d882df033c4c0f5b0c3 (patch)
tree4a59e86332d6cc78fc5c97110ecba281b0f67bc9 /tests/nwldma
parent0002c0cc260a6a8e2b6c53f19ae99a625eca4355 (diff)
downloadpcitool-77c4d6e67debf0e729734d882df033c4c0f5b0c3.tar.gz
pcitool-77c4d6e67debf0e729734d882df033c4c0f5b0c3.tar.bz2
pcitool-77c4d6e67debf0e729734d882df033c4c0f5b0c3.tar.xz
pcitool-77c4d6e67debf0e729734d882df033c4c0f5b0c3.zip
Big redign of model structures
Diffstat (limited to 'tests/nwldma')
-rwxr-xr-xtests/nwldma/bench.sh30
-rwxr-xr-xtests/nwldma/cleanup.sh13
2 files changed, 43 insertions, 0 deletions
diff --git a/tests/nwldma/bench.sh b/tests/nwldma/bench.sh
new file mode 100755
index 0000000..b36c251
--- /dev/null
+++ b/tests/nwldma/bench.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+function pci {
+ PCILIB_PATH="/root/pcitool"
+ LD_LIBRARY_PATH="$PCILIB_PATH" $PCILIB_PATH/pci $*
+}
+
+size=16
+bytes=`expr $size "*" 4`
+
+pci -w xrawdata_packet_length $bytes
+pci -w xrawdata_enable_loopback 0
+pci -w xrawdata_enable_generator 0
+
+pci --start-dma dma1
+
+while [ $? -eq 0 ]; do
+ pci -r dma1 -s 65536 &> /dev/null
+done
+
+pci -w xrawdata_enable_loopback 1
+
+for i in `seq 1 10`; do
+ pci -w dma1 -s $size "*$i"
+ pci -r dma1 -s $size -o bench.out
+done
+
+pci --stop-dma dma1
+
+pci -w xrawdata_enable_loopback 0
diff --git a/tests/nwldma/cleanup.sh b/tests/nwldma/cleanup.sh
new file mode 100755
index 0000000..5ef568e
--- /dev/null
+++ b/tests/nwldma/cleanup.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+function pci {
+ PCILIB_PATH="/root/pcitool"
+ LD_LIBRARY_PATH="$PCILIB_PATH" $PCILIB_PATH/pci $*
+}
+
+pci --start-dma dma1r
+pci -w dma1r_reset_request 1
+pci -w dma1r_reset 1
+pci -r dma1r_running
+
+pci --free-kernel-memory dma